.\"	$NetBSD: wiconfig.8,v 1.31 2009/07/02 17:45:26 dyoung Exp $
.\"
.\" Copyright (c) 1997, 1998, 1999
.\"	Bill Paul <wpaul@ctr.columbia.edu> All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by Bill Paul.
.\" 4. Neither the name of the author nor the names of any co-contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY Bill Paul AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL Bill Paul OR THE VOICES IN HIS HEAD
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
.\" THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"	From: wicontrol.8,v 1.6 1999/05/22 16:12:47 wpaul Exp $
.\"
.Dd July 2, 2009
.Dt WICONFIG 8
.Os
.Sh NAME
.Nm wiconfig
.Nd configure WaveLAN/IEEE devices
.Sh SYNOPSIS
.Nm wiconfig
.Ar interface
.Op Fl \&Dho
.Op Fl A Ar 1|2
.Op Fl a Ar access_point_density
.Op Fl d Ar max_data_length
.Op Fl M Ar 0|1
.Op Fl R Ar 1|3
.Op Fl s Ar station_name
.Sh DESCRIPTION
The
.Nm
command controls the operation of
.Tn WaveLAN/IEEE
wireless networking devices via the
.Xr wi 4
and
.Xr awi 4
drivers.
The
.Nm
command can also be used to view the current settings of these parameters
and to dump out the values of the card's statistics counters.
.Pp
Most of the parameters that can be changed relate to the
.Tn IEEE
802.11 protocol which the
.Tn WaveLAN
implements.
This includes the station name, whether the station is operating
in ad-hoc (point to point) or BSS (service set) mode, and the
network name of a service set to join (IBSS) if BSS mode is enabled.
.Pp
The
.Ar interface
argument given to
.Nm
should be the logical interface name associated with the
.Tn WaveLAN/IEEE
device (e.g., wi0, wi1, etc.).
.Sh OPTIONS
With no extra options,
.Nm
will display the current settings of the specified
.Tn WaveLAN/IEEE
interface.
.Pp
The options are as follows:
.Pp
.Bl -tag -width Fl
.It Fl A Ar 1|2
Set the authentication type for a specified interface.
Permitted values are
.Ar 1
(Open System Authentication) or
.Ar 2
(Shared Key Authentication).
The default is 1.
.It Fl a Ar access_point_density
Specify the
.Ar access point density
for a given interface.
Legal values are 1 (low), 2 (medium), and 3 (high).
This setting influences some of the radio modem threshold settings.
.It Fl D
This forces the driver to initiate one round of access point scanning.
All of the access points found are displayed.
.It Fl d Ar max_data_length
Set the maximum receive and transmit frame size for a specified interface.
The
.Ar max data length
can be any number from 256 to 2346.
The default is 2304.
.It Fl h
Display a short help.
.It Fl M Ar 0|1
Enable or disable
.Qq microwave oven robustness
on a given interface.
This should only be used if needed.
.Pp
In cases of slow performance where there is a good quality signal but
also high levels of noise (i.e., the signal to noise ratio is bad but
the signal strength is good), or a microwave oven is operating near the
antenna of the WLAN peer or access point, this option may be of use.
.Pp
In bad signal-to-noise conditions, the link layer will switch to lower
transmit rates.
However at lower transmit rates, individual frames
take longer to transmit, making them more vulnerable to bursty
noise.
The option works by enabling data fragmentation in the link
layer as the transmit speed lowers in an attempt to shorten the
transmit time of each frame so that individual frames are more likely
to be transmitted without error.
.Pp
Note that this does not impact the visible MTU of the link.
.It Fl o
Print out the statistics counters instead of the card settings.
Note that, however, the statistics will only be updated every minute or so.
.It Fl R Ar 1|3
Enable or disable roaming function on a given interface.
The legal values are
.Ar 1
(Roaming handled by firmware) and
.Ar 3
(Roaming Disabled).
The default is 1.
.It Fl r Ar RTS_threshold
.It Fl f Ar fragmentation_threshold
.It Fl m Ar MAC_address
These options are deprecated since
.Nx 6.0 .
Use
.Xr ifconfig 8
to set the link-layer address, the fragmentation threshold, and the RTS
threshold.
.It Fl s Ar station_name
Sets the
.Ar station_name
for the specified interface.
The
.Ar station_name
is used for diagnostic purposes.
The
.Tn Lucent
.Tn WaveMANAGER
software can poll the names of remote hosts.
.El
.Sh SEE ALSO
.Xr awi 4 ,
.Xr wi 4 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
command first appeared in
.Fx 3.0 ,
as
.Ic wicontrol .
It was added to
.Nx 1.5
under its present name.
.Sh AUTHORS
The
.Nm
command was written by
.An Bill Paul Aq wpaul@ctr.columbia.edu .
